<template>
  <div class="posterbg" >
       <div class="hide"  ref="postbg" :style="{backgroundImage:`url(${posterbg})`}">
          <div class="t1">你已成为第<br/><span class="t2">{{count}}</span> 位<br/>大象守护者，<br/>我为你点赞！</div>
          <img class="text" src="../assets/images/text.png" alt="">
          <img class="qrcode" src="../assets/images/qrcode.png" alt="">
          <div class="t3">分享让更多人成为大象守护者</div>
      </div>
      <div class="show" :style="{backgroundImage:`url(${posterbg})`}">
          <div v-show="posterbg" :style="{'marginTop':marginTop1}" class="t1">你已成为第<br/><DigitRoll class="t2" :flipStra = "true" v-if="count" :rollDigits="count" /> 位<br/>大象守护者，<br/>我为你点赞！</div>
          <img v-show="posterbg" :style="{'marginTop':marginTop}" class="text" src="../assets/images/text.png" alt="">
          <div id="tt3" style="opacity:0" class="tt3">分享让更多人成为大象守护者</div>
          <!-- <img v-show="posterbg" class="qrcode" src="../assets/images/qrcode.png" alt=""> -->
          <div class="box">
              <div v-show="posterbg" class="t4 ">长按保存，晒出你的“新身份”</div>
              <div  v-show="posterbg" class="t3 blink">分享让更多人成为大象守护者</div>
          </div>
          <img v-if="postURL" class="postURL" :src="postURL" alt="">
      </div>
  </div>
</template>

<script>
import html2canvas from 'html2canvas'
import MtaH5 from 'mta-h5-analysis';
 import DigitRoll from '@huoyu/vue-digitroll';

export default {
  components: { DigitRoll },
  props: {},
  data() {
    return {
        posterbg: require('../assets/images/postbg1.jpg'),
        count:'',
        imgCount:0,
        postURL:'',
        isscroll:true,
        marginTop:'2.52rem',
        marginTop1:'3.4rem'
    };
  },
  created() {
    //   iphoneX 724
   
      var isIphone = true
        var ua = navigator.userAgent.toLowerCase();
        //系统判断
        if(ua.match(/iPhone/i)=="iphone") {//iphone
            isIphone = true
        }else if(ua.match(/Android/i)=="android"){//android
            isIphone = false
        }
        console.log(isIphone)

    //   if(document.body.offsetHeight >= 724 && isIphone){
    //       console.log("daping")
    //       this.isscroll = false
    //   }
  },
  mounted() {
      console.log(document.body.offsetHeight)
      console.log(document.getElementById('tt3').offsetTop)
      if(document.body.offsetHeight >= (document.getElementById('tt3').offsetTop + 20)){
          console.log("够")
          this.marginTop = '2.52rem'
      }else{
          console.log("不够")
          this.marginTop = '1.9rem'
          this.marginTop1 = '3rem'
      }
      $.ajax({
        type:'POST',
        url:'https://wwf.uglobal.com.cn/sendaction.php',
        dataType:"json",
        data:{
            'url': 'https://wwf.uglobal.com.cn/emo',
            'action_type': 'COMPLETE_ORDER',
            'click_id': this.$root.click_id
        },
        complete: ( res ) =>{
            console.log(res)
        }
    })

      this.count = (3470000 + this.$route.params.number) || 3470000
      MtaH5.pgv();
      gtag('config', 'UA-151682819-3', {'page_title': 'wwfemo_pv5'}); 
      let imgs = [
        require("../assets/images/postbg1.jpg"),
        require("../assets/images/text.png"),
        require("../assets/images/qrcode.png")]
        this.$dialog.loading.open('正在为您生成海报');
        for (let img of imgs) {
            let image = new Image()
            image.src = img
            image.onload = () => {
            this.imgCount++
            // 计算图片加载的百分数，绑定到percent变量
            if(this.imgCount == 3){
                 setTimeout(()=>{
                      html2canvas(this.$refs.postbg, {
                        useCORS: true,
                        logging:true,
                    }).then((canvas) => {
                        this.postURL = canvas.toDataURL("image/png").replace("image/png", "image/octet-stream");  // 获取生成的图片的url
                        console.log(this.postURL)
                        this.$dialog.loading.close();
                    }) 
                 },1000)
               
            }
            }
            
        }
  },
  methods: {},
  watch: {},
  computed: {},
};
</script>
<style scoped lang="scss">
.overflowhidden{
    overflow: hidden!important;
}
.posterbg{
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
    .hide{
        width: 750px;
        height: 1500px;
        background-size: 100% 100%;
        position: absolute;
        top: 0;
        left: 100vw;
        display: flex;
        flex-direction: column;
        align-items: center;
        -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        .t1{
            width: 647px;
            font-family: "宋体";
            font-size: 34px;
            color: #000000;
            font-weight: 700;
            margin-top: 340px;
            line-height: 60px;
            text-align: left;
            letter-spacing: 2px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            .t2{
                color: #3e79db;
                font-size: 50px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            }
        }
        .text{
            width: 350px;
            height: 237px;
            margin-top: 252px;
            margin-left: -320px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .qrcode{
            width: 170px;
            height: 170px;
            margin-bottom: 80px ;
            margin-top: 68px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .t3{
            font-family: "宋体";
            font-size:24px;
            color: #000000;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        
    }
    .show{
        width: 7.5rem;
        height: 15rem;
        background-size: 100% 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        .postURL{
            width: 7.5rem;
            height: 15rem;
            position: absolute;
            z-index: 99999;
            top: 0;
            left: 0;
            opacity: 0;
        -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .box{
            position: absolute;
            width: 100vw;
            height: 100vh;
            top: 0;
            left: 0;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            .t3{
                position: absolute;
                bottom: 0.2rem;
                left: 50%;
                transform: translate(-50%,0) scale(0.95);
                font-family: "宋体";
                font-size: 0.24rem;
                color: #000000;
                -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            }
            .t4{
                position: absolute;
                bottom: 0.45rem;
                left: 50%;
                transform: translate(-50%,0) scale(0.92);
                font-family: "宋体";
                font-size: 0.24rem;
                color: #3f7adc;
                font-weight: 800;
                -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            }
        }
        .t1{
            width: 6.47rem;
            font-family: "宋体";
            font-size: 0.34rem;
            color: #000000;
            font-weight: 700;
            margin-top: 3.4rem;
            line-height: 0.6rem;
            text-align: left;
            letter-spacing: 2px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            .t2{
                color: #3e79db;
                font-size: 0.5rem;
                display: inline-flex;
                width: auto!important;
                margin: 0!important;
                -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            }
        }
        .text{
            width: 3.5rem;
            height: 2.37rem;
            margin-top: 2.52rem;
            margin-left: -3.2rem;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .tt3{
            margin-top: 0.45rem;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .qrcode{
            width: 1.7rem;
            height: 1.7rem;
            margin-bottom: 0.25rem;
            margin-top: 0.6rem;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        
    }
}
</style>